{
  "name": "@multiplatform.one/keycloak-typegraphql",
  "version": "5.0.27",
  "author": "BitSpur <support@bitspur.com> (https://bitspur.com)",
  "type": "module",
  "contributors": [
    {
      "name": "Clay Risser",
      "url": "https://clayrisser.com"
    }
  ],
  "description": "authenticate typegraphql with keycloak",
  "module": "lib/index.js",
  "source": "src/index.ts",
  "types": "types/index.d.ts",
  "exports": {
    ".": {
      "types": "./types/index.d.ts",
      "import": "./lib/index.js"
    },
    "./package.json": "./package.json"
  },
  "scripts": {
    "build": "rm -rf lib types 2>/dev/null && tsc -b --emitDeclarationOnly && tsup",
    "typecheck": "tsc --noEmit"
  },
  "files": ["lib", "src", "types"],
  "license": "Apache-2.0",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/bitspur/multiplatform.one/multiplatform.one.git"
  },
  "bugs": {
    "url": "https://gitlab.com/bitspur/multiplatform.one/multiplatform.one/issues"
  },
  "keywords": ["type-graphql", "graphql"],
  "engines": {
    "node": ">= 16.0"
  },
  "devDependencies": {
    "@multiplatform.one/utils": "workspace:5.0.27",
    "@types/cookie": "^0.6.0",
    "@types/lodash.difference": "^4.5.9",
    "@types/lodash.get": "^4.4.9",
    "tsup": "^8.3.5",
    "typescript": "~5.3.3",
    "vitest": "^1.2.2"
  },
  "dependencies": {
    "@keycloak/keycloak-admin-client": "^24.0.5",
    "@multiplatform.one/keycloak": "workspace:5.0.27",
    "@multiplatform.one/typegraphql": "workspace:5.0.27",
    "axios": "^1.7.9",
    "cookie": "^0.6.0",
    "graphql": "^16.10.0",
    "keycloak-connect": "^24.0.5",
    "lodash.difference": "^4.5.0",
    "lodash.get": "^4.4.2",
    "reflect-metadata": "^0.2.2",
    "type-graphql": "2.0.0-rc.1"
  },
  "transpileModules": [
    "@keycloak/keycloak-admin-client",
    "camelize-ts",
    "lodash-es",
    "url-join",
    "url-template"
  ]
}
